Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSSIPClientConfiguration Class Reference

Data that is common for a SIP Client. More...

`#import <CSSIPClientConfiguration.h>`

Inherits NSObject.

## Properties
NSUInteger | signalingDSCP
| The layer 3 Differentiated Services (DiffServ) Code Point for signaling frames generated by the endpoint. More...
NSUInteger | registrationTimeout
| Default registration timeout (in seconds) More...
NSUInteger | subscriptionTimeout
| Default subscription timeout (in seconds) More...
NSUInteger | publishTimeout
| Default publish timeout (in seconds) More...
NSUInteger | sessionRefreshTimeout
| Default session refresh time (in seconds) It is not recommended to enable this feature in Avaya (Aura, IPO) deployment. More...
NSUInteger | maxForwardLimit
| Max forward limit indicated in Max-Forward SIP header. More...
NSUInteger | periodicRingbackTimeout
| Default time to re-transmit 180 Ringing while in alerting state (in seconds) More...
NSUInteger | totalRingbackTimeout
| Maximum default time that an incoming session stays in alerting state (in seconds) More...
NSUInteger | waitTimeForCallCancel
| Maximum wait time for completion of call cancellation (in seconds) More...
NSUInteger | transferCompletionTimeout
| Maximum wait time for completion of call transfer with 200 OK sipfrag notify after REFER is accepted (in seconds) More...
NSUInteger | localVideoResponseTimeout
| Local video response timeout (in seconds) More...
NSUInteger | lineReservationTimeout
| Line reservation time during which line stays reserved (in seconds) More...
NSUInteger | fastResponseTimeout
| How long to wait for a provisional response on INVITE requests (in seconds) More...
BOOL | selectCodecBasedOnCallerPreferences
| Controls whether the codec selection on the answerer side is done based on the codec preferences of the calling UA or the answering UA. More...
BOOL | SIPSAndSRTPCouplingEnabled
BOOL | reliableProvisionalResponsesEnabled
NSUInteger | interDigitTimeout
| The number of seconds that the telephone will wait after a digit is dialed before sending a SIP INVITE. More...
NSUInteger | noDigitTimeout
| The number of seconds that the telephone will wait for a digit to be dialed after going off-hook before generating a warning tone. More...
BOOL | useExactSIPDomainComparison
| * Used for SIP domain comparison. More...
NSUInteger | failedSessionRemovalTimeout
| The number of seconds the session line appearance will be displayed after an invalid extension has been dialed if the user does not press the End Call softkey. More...

## Detailed Description

Data that is common for a SIP Client.

## Property Documentation

- (NSUInteger) failedSessionRemovalTimeout
| read write nonatomic assign

The number of seconds the session line appearance will be displayed after an invalid extension has been dialed if the user does not press the End Call softkey.

Valid values are 5 through 99; the default value is 15.

- (NSUInteger) fastResponseTimeout
| read write nonatomic assign

How long to wait for a provisional response on INVITE requests (in seconds)

- (NSUInteger) interDigitTimeout
| read write nonatomic assign

The number of seconds that the telephone will wait after a digit is dialed before sending a SIP INVITE.

Valid values are 1 through 10 seconds; the default value is 5 seconds.

- (NSUInteger) lineReservationTimeout
| read write nonatomic assign

Line reservation time during which line stays reserved (in seconds)

- (NSUInteger) localVideoResponseTimeout
| read write nonatomic assign

Local video response timeout (in seconds)

- (NSUInteger) maxForwardLimit
| read write nonatomic assign

Max forward limit indicated in Max-Forward SIP header.

- (NSUInteger) noDigitTimeout
| read write nonatomic assign

The number of seconds that the telephone will wait for a digit to be dialed after going off-hook before generating a warning tone.

Valid values are 1 through 60 seconds; the default value is 99 seconds.

- (NSUInteger) periodicRingbackTimeout
| read write nonatomic assign

Default time to re-transmit 180 Ringing while in alerting state (in seconds)

- (NSUInteger) publishTimeout
| read write nonatomic assign

Default publish timeout (in seconds)

- (NSUInteger) registrationTimeout
| read write nonatomic assign

Default registration timeout (in seconds)

- (BOOL) reliableProvisionalResponsesEnabled
| read write nonatomic assign

Enable or disable support for reliable provisional responses (defined in RFC 3262).

If enabled...

- Outgoing requests support reliable provisional responses. This gives the far-end the option of using reliable provisional responses if desired, and we handle these responses per RFC 3262.
- Provisional responses to an incoming request are sent reliably, if supported (or required) by the request. We expect the far-end to handle our reliable provisional responses per RFC 3262.

If disabled...

- Outgoing requests will not support reliable provisional responses.
  - If the far-end requires reliable provisional responses they should reject our request with a 420 (Bad Extension) and include an Unsupported header field containing the 100rel tag.
- Provisional responses to an incoming request are not sent reliably, regardless if supported by the request.
- If an incoming request requires reliable provisional responses we reject the request with a 420 (Bad Extension) and include an Unsupported header field containing the 100rel tag.

Background:

- A request that supports reliable provisional responses will include the 100rel tag in the Supported header.
- A request that requires reliable provisional responses will include the 100rel tag in the Require header.
- A reliable provisional response (or provisional response sent reliably) will include the 100rel tag in the Require header.
  - A 100 Trying provisional response is never sent reliably.

- (BOOL) selectCodecBasedOnCallerPreferences
| read write nonatomic assign

Controls whether the codec selection on the answerer side is done based on the codec preferences of the calling UA or the answering UA.

By default, a common codec is selected based on the preferences of the calling UA.

- (NSUInteger) sessionRefreshTimeout
| read write nonatomic assign

Default session refresh time (in seconds) It is not recommended to enable this feature in Avaya (Aura, IPO) deployment.

If session refresh is enabled, active call might be ended automatically without media preservation in case session expires due to refresh failure. Default value 0 means Session Timer is disabled. Session refresh timeout have to be equal or more than 90 seconds. Otherwise user creation will be failed.

- (NSUInteger) signalingDSCP
| read write nonatomic assign

The layer 3 Differentiated Services (DiffServ) Code Point for signaling frames generated by the endpoint.

Default is 24 - Class Selector 3 (CS3)

- (BOOL) SIPSAndSRTPCouplingEnabled
| read write nonatomic assign

Controls whether coupling of SIPS and SRTP is enabled.

The SIPS mechanism is used to secure the signaling, while SRTP is used to secure the media.

If enabled...

- Do not offer secure media (SRTP) for a SIP URI request over TLS. For example, once we learn that the far-end is a SIP contact address (not SIPS), we would provide an offer with clear RTP only for mid-call operations (even though TLS is being used). This allows us to get around an existing CM issue (to have clients work correctly in CM SRTP environment). The CM issue will be addressed in the 7.0 timeframe.

If disabled...

- Follow Refarch recommendations to allow best effort media security for a SIP URI request over TLS. For details see Refarch section 15.4.1.1.6.

Deprecated:
  Use CSSIPUserConfiguration::useSIPSURIOverTLS property instead. Starting with Client SDK 3.1.

- (NSUInteger) subscriptionTimeout
| read write nonatomic assign

Default subscription timeout (in seconds)

- (NSUInteger) totalRingbackTimeout
| read write nonatomic assign

Maximum default time that an incoming session stays in alerting state (in seconds)

- (NSUInteger) transferCompletionTimeout
| read write nonatomic assign

Maximum wait time for completion of call transfer with 200 OK sipfrag notify after REFER is accepted (in seconds)

- (BOOL) useExactSIPDomainComparison
| read write nonatomic assign

* Used for SIP domain comparison.

* * In case Avaya Aura servers have deployed a non split horizon DNS, the small difference in domain names of caller and user can be observed: * Ex.: 123456@sbc.avaya.com and 654321@avaya.com. * To support cases where split-horizon DNS is not being used and cases when SM hosted at other domains than SBC, this new setting is used to control how SIP domain names will be compared. When this property is set to false, the comparison of different domains is considered to be a match when one of the domains is the root domain of the other. For example, userid@domain.com and userid@sbc.domain.com are considered to be matching domains even though the exact string comparison is not a match. * The default value is true (the exact SIP domain comparison is enabled)

- (NSUInteger) waitTimeForCallCancel
| read write nonatomic assign

Maximum wait time for completion of call cancellation (in seconds)

The documentation for this class was generated from the following file:

- CSSIPClientConfiguration.h